<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/background_shape_white_radius_12_bottom_only">

    <ScrollView
        android:id="@+id/scrollView"
        android:layout_width="0dp"
        android:layout_height="328dp"
        android:overScrollMode="never"
        android:scrollbars="none"
        app:layout_constraintBottom_toTopOf="@+id/actionContainer"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:id="@+id/followTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="16dp"
                android:layout_marginEnd="16dp"
                android:text="关注内容"
                android:textColor="@color/text_primary"
                android:textSize="@dimen/secondary_title_text_size"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/followDesTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="6dp"
                android:layout_marginEnd="16dp"
                android:text="长按拖动排序，最少添加1个内容，上限为15个"
                android:textColor="@color/text_tertiary"
                android:textSize="@dimen/little_secondary_size" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/followRv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="12dp"
                android:layout_marginEnd="8dp"
                android:overScrollMode="never" />

            <LinearLayout
                android:id="@+id/moreContainer"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingTop="16dp"
                android:paddingBottom="8dp">

                <TextView
                    android:id="@+id/moreTv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginEnd="16dp"
                    android:text="更多内容"
                    android:textColor="@color/text_primary"
                    android:textSize="@dimen/secondary_title_text_size"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/moreDesTv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="6dp"
                    android:layout_marginEnd="16dp"
                    android:text="点击可添加至关注内容"
                    android:textColor="@color/text_tertiary"
                    android:textSize="@dimen/little_secondary_size" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/moreRv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="12dp"
                    android:layout_marginEnd="8dp"
                    android:overScrollMode="never" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

    <LinearLayout
        android:id="@+id/actionContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingStart="16dp"
        android:paddingLeft="16dp"
        android:paddingTop="16dp"
        android:paddingEnd="20dp"
        android:paddingRight="16dp"
        android:paddingBottom="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/nestedScrollView">

        <TextView
            android:id="@+id/cancelTv"
            style="@style/GrayLightButton"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_weight="1"
            android:gravity="center"
            android:text="取消" />

        <TextView
            android:id="@+id/saveTv"
            style="@style/PrimaryButton"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginStart="12dp"
            android:layout_weight="3"
            android:gravity="center"
            android:text="保存" />

    </LinearLayout>

    <View
        android:id="@+id/topDivider"
        android:layout_width="0dp"
        android:layout_height="@dimen/divider_1px"
        android:background="@color/ui_divider"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/bottomDivider"
        android:layout_width="0dp"
        android:layout_height="@dimen/divider_1px"
        android:background="@color/ui_divider"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/actionContainer" />

</androidx.constraintlayout.widget.ConstraintLayout>